Get packs

Base URL
https://{kibana_url}
  • GET /api/osquery/packs
  • GET /s/{space_id}/api/osquery/packs
Auth

Get a list of all query packs.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

page integer nullable
pageSize integer nullable
sort string · default: createdAt nullable
sortOrder enum
Values: asc desc

Response

OK

application/json

Response Type: object

Base URL
https://{kibana_url}